summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_ldap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_ldap.sh')
-rwxr-xr-xsource4/script/tests/test_ldap.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/source4/script/tests/test_ldap.sh b/source4/script/tests/test_ldap.sh
index 3c7fa3eb3d..204ac00d5a 100755
--- a/source4/script/tests/test_ldap.sh
+++ b/source4/script/tests/test_ldap.sh
@@ -84,9 +84,13 @@ done
testit "CLDAP" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ LDAP-CLDAP || failed=`expr $failed + 1`
-LDBDIR=lib/ldb
-export LDBDIR
-testit "ldb tests" $LDBDIR/tests/test-tdb.sh || failed=`expr $failed + 1`
+# only do the ldb tests when not in quick mode - they are quite slow, and ldb
+# is now pretty well tested by the rest of the quick tests anyway
+test "$TORTURE_QUICK" = "yes" || {
+ LDBDIR=lib/ldb
+ export LDBDIR
+ testit "ldb tests" $LDBDIR/tests/test-tdb.sh || failed=`expr $failed + 1`
+}
SCRIPTDIR=../testprogs/ejs